        SUBROUTINE TG_IFIV ( iret )
C************************************************************************
C* TG_IFIV                                                              *
C*                                                                      *
C* This subroutine initializes the interface values arrays to missing   *
C* for a new report.                                                    *
C*                                                                      *
C* TG_IFIV ( IRET )	       	                                        *
C*                                                                      *
C* Input parameters:                                                    *
C*      NRIMN           INTEGER         Total number of real interface  *
C*                                      mnemnonics                      *
C*      NCIMN           INTEGER         Total number of character       *
C*                                      interface mnemnonics            *
C*      RMISSD          REAL            Missing real data value         *
C*                                                                      *
C* Output parameters:                                                   *
C*      RIMNEM (*)      CHAR*           Interface mnemonics for reals   *
C*      CIMNEM (*)      CHAR*           Interface mnemonics for chars   *
C*	IRET            INTEGER         Return code                     *
C*				   	  0 = normal return 	        *
C*                                                                      *
C**                                                                     *
C* Log:							                *
C* R. Hollern/NCEP       8/00                                           *
C************************************************************************
        INCLUDE 	'GEMPRM.PRM'
        INCLUDE 	'tgcmn.cmn'
C-----------------------------------------------------------------------
        iret   = 0
C
	DO i = 1, NRIMN
	    rivals ( i ) = RMISSD
	END DO
C
C*      Initialize the mult-level counters to 0.0
C
        rivals ( irntid ) = 0.0
C
	DO i = 1, NCIMN
	    civals ( i ) = ' '
	END DO
C*
        RETURN
        END
