#ifdef UNDERSCORE
#define tg_icpt tg_icpt_
#define rintfp rintfp_
#define rintfv rintfv_
#define cintfp cintfp_
#define cintfv cintfv_
#endif

/*  Maximum number of tidal evlevations */

#define MXTIDL  6

/*  Number of real single-level interface mnemonics  */

#define NRSLMN  20

/*  Total number of real interface mnemnonics (total number
    of mult-layer data + single-level data + total number of
    counters for multi-layer data  */

#define NRIMN   ( (2*MXTIDL) + NRSLMN + 1  )

/*  Number of character single-level interface mnemonics  */

#define NCIMN   1

extern struct {
    int iryear ; int irmnth ; int irdays ; int irhour ; int irminu ;
    int irslat ; int irslon ; int irselv ; int iramck ; int irmmck ;
    int irtmpc ; int irprlc ; int irdrct ; int irsped ; int irsstk ;
    int irawck ; int irmwck ; int irtpmi ; int irstmi ; int irtost ;

    int irntid ; int irterc[MXTIDL] ; int irmrte[MXTIDL] ;

} rintfp;


/*  Real interface values  */

extern struct {
    float rivals[NRIMN];
} rintfv;

/*  Pointers to relative locations of character interface mnemonics
    within cimnem[].  These pointers will be set by tg_ifsp and then
    used as indices into the character interface values array civals[]  */

extern struct {
    int icstid ;
} cintfp;

extern struct {
    char civals[NCIMN][8];
} cintfv;
